Skip to main content

Documentation Index

Fetch the complete documentation index at: https://polynode.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Returns fee events from the Polymarket exchange. Each fee event records the receiver, amount, and associated transaction.

Request

GET /v3/fees

Query parameters

ParameterTypeDefaultDescription
afterintegerStart of time range (Unix timestamp)
beforeintegerEnd of time range
limitinteger100Max 1000
offsetinteger0Pagination offset

By receiver

GET /v3/fees/{receiver}
Returns fees received by a specific address.

Example

curl https://api.polynode.dev/v3/fees?limit=1
{
  "columns": ["id", "timestamp", "receiver", "amount", "transaction_hash"],
  "rows": [
    [
      "0x78d5c7d29d3940bf23f2c96196aecc15f0c44d837ef4041a375b512ded5d57cc_1408",
      "1778675235",
      "0x115f48dc2a731aa16251c6d6e1befc42f92accc9",
      "18320",
      "0x78d5c7d29d3940bf23f2c96196aecc15f0c44d837ef4041a375b512ded5d57cc"
    ]
  ],
  "rows_returned": 1,
  "has_more": true,
  "elapsed_ms": 2
}

Response fields

FieldTypeDescription
idstringUnique fee event ID
timestampstringUnix timestamp
receiverstringFee receiver address
amountstringFee amount (6-decimal USDC)
transaction_hashstringOn-chain transaction hash